MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002783VCMIMechanics - Battlespublic2017-09-04 22:242017-09-10 20:08
Reporterhkoehler 
Assigned Tohkoehler 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.next 
Target VersionFixed in Version0.next 
Summary0002783: Tactics skill bonus differs from HMM3
DescriptionIn HMM3, and prior to making secondary skills modable, the game would take the difference in tactics skill levels, and then compute the number of hexes that you could arrange yourself in as 2 * difference + 1.

Currently the skill provides bonuses to hexes movable (3/5/7 at basic/advanced/expert), and the game calculates number of hexes that you can arrange yourself in as the difference of bonuses. This means that when fighting a hero with lower tactics skill (e.g. advanced vs basic), you get 1 hex less for placement than you did in HMM3 (2 for advanced vs basic, instead of 3).
Additional InformationPossible fixes:

(a) Set #hexes that you can arrange yourself in as 1 + difference.
Problems: counter-intuitive to specify a bonus of 2 to move 3, and can't configure things to allow setup within 1 hex.

(b) Treat the lesser bonus as one less, so e.g. advanced vs. basic becomes 5 - (3-1) = 3. Problem is again that this is counter-intuitive, and lesser bonus of 1 is effectively same as lesser bonus of 0.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0007275)
SXX (administrator)
2017-09-10 20:08

Should be fixed now:
https://github.com/vcmi/vcmi/pull/375 [^]

- Issue History
Date Modified Username Field Change
2017-09-04 22:24 hkoehler New Issue
2017-09-08 22:30 hkoehler Assigned To => hkoehler
2017-09-08 22:30 hkoehler Status new => assigned
2017-09-10 20:08 SXX Note Added: 0007275
2017-09-10 20:08 SXX Status assigned => resolved
2017-09-10 20:08 SXX Fixed in Version => 0.next
2017-09-10 20:08 SXX Resolution open => fixed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2017 MantisBT Team
Hosting provided by DigitalOcean